Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.ui
Class EvolpProcessor

    java.lang.Object
      lp.ui.AbstractProcessor
          lp.ui.EvolpProcessor

Direct Known Subclasses:
  EvolpWebappHelper

    public abstract class EvolpProcessor

extends AbstractProcessor

A developer-friendly aggregation of `EvolpParser`, `EvolpTransformer` and `EvolpSolver`.

Version:
  0.9.0
Author:
  Martin Slota
See Also:
  `EvolpParser`, `EvolpTransformer`, `EvolpSolver`

Nested Class Summary

Nested classes/interfaces inherited from class lp.ui.AbstractProcessor
`AbstractProcessor.StopWatch`

Field Summary
`private EvolpProgram` | `evolp`
`private Reader` | `input`
`private EvolpParser` | `parser`
`private EvolpSolver` | `solver`
`private TransformedEvolp` | `transformedEvolp`
`private EvolpTransformer` | `transformer`

Constructor Summary
`EvolpProcessor(ConfigManager config)`

Method Summary
`protected void` | `computeModels(Consumer<EvolutionStableModel> processor)`
`protected EvolpProgram` | `getEvolp()`
`protected TransformedEvolp` | `getTransformedEvolp()`
`void` | `setInput(Reader input)`

Methods inherited from class lp.ui.AbstractProcessor
`escapeXMLSpecials, getConfig, getSW, chmod, showMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parser

    private final EvolpParser parser

### transformer

    private final EvolpTransformer transformer

### solver

    private final EvolpSolver solver

### input

    private Reader input

### evolp

    private EvolpProgram evolp

### transformedEvolp

    private TransformedEvolp transformedEvolp

Constructor Detail

### EvolpProcessor

    public EvolpProcessor(ConfigManager config)

Method Detail

### setInput

    public void setInput(Reader input)

### getEvolp

    protected EvolpProgram getEvolp()

  Throws:
    `IllegalArgumentException`
    `IOException`
    `LpParserException`

### getTransformedEvolp

    protected TransformedEvolp getTransformedEvolp()

### computeModels

    protected void computeModels(Consumer<EvolutionStableModel> processor)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD